aboutsummaryrefslogtreecommitdiff
path: root/tools/run-lint.sh
diff options
context:
space:
mode:
authordan sinclair <dj2@everburning.com>2018-11-22 16:57:29 -0500
committerDavid Neto <dneto@google.com>2018-11-22 16:57:29 -0500
commitda74d350d628dca19c9ac2b6c057e518203eb3f3 (patch)
treeaf761aa698eb184bfd861edb06ba0ed7edcf9045 /tools/run-lint.sh
parentfcef06cabdfb1cb5c13001ebae8bb5e2b14681bf (diff)
downloadamber-da74d350d628dca19c9ac2b6c057e518203eb3f3.tar.gz
Add cpplint (#90)
Add cpplint
Diffstat (limited to 'tools/run-lint.sh')
-rwxr-xr-xtools/run-lint.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tools/run-lint.sh b/tools/run-lint.sh
new file mode 100755
index 0000000..6664d64
--- /dev/null
+++ b/tools/run-lint.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# Copyright 2018 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e # fail on error
+
+./third_party/cpplint/cpplint/cpplint.py `find . -type f -regextype awk -regex "./(src|samples).*"`
+./third_party/cpplint/cpplint/cpplint.py --root include `find ./include -type f`